[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# tdpmiversioninfo

Structure describing DPMI version

## Declaration

Source position: go32.pp line 80

`type tdpmiversioninfo = record`
`major: Byte;` |  | Major version number
`minor: Byte;` |  | Minor version number
`flags: Word;` |  | Flags
`cpu: Byte;` |  | CPU type
`master_pic: Byte;` |  | PIC master
`slave_pic: Byte;` |  | PIC slave
`end;`

## Description

tdpmiversioninfo describes the dpmi version information, as returned by get_dpmi_version. The CPU field can have the following values:

$02H
  80286
$03H
  80386
$04H
  80486
$05H-
  Newer than 80486

The flags field is a bitmask with the following bits:

0
  0 for 16 bit DPMI, 1 for 32-bit
1
  0 for virtual 86 mode for reflected interrupts, 1 for return to real mode.
2
  0 for no virtual memory support, 1 for virtual memory support.

## See also

get_dpmi_version |  | Return DPMI information